org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class SnapshotFilesFailureMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.SnapshotFilesFailureMessage

All Implemented Interfaces:
  Serializable, Message

    public class SnapshotFilesFailureMessage
    extends Object

Message indicating a failure occurred during processing snapshot files request.

See Also:
  Serialized Form

### Field Summary

Fields
`static short` `TYPE_CODE` Snapshot response message type (value is `179`).

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotFilesFailureMessage()` Empty constructor required for `Externalizable`.
`SnapshotFilesFailureMessage(String reqId, String errMsg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`String` `errorMessage()`
`SnapshotFilesFailureMessage` `errorMessage(String errMsg)`
`byte` `fieldsCount()` Gets fields count.
`String` `id()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_CODE

    public static final short TYPE_CODE

Snapshot response message type (value is `179`).

See Also:
  Constant Field Values

### Constructor Detail

#### SnapshotFilesFailureMessage

    public SnapshotFilesFailureMessage()

Empty constructor required for `Externalizable`.

#### SnapshotFilesFailureMessage

    public SnapshotFilesFailureMessage(String reqId,
                                       String errMsg)

Parameters:
  `reqId` - Request id to which response related to.
  `errMsg` - Response error message.

### Method Detail

#### errorMessage

    public String errorMessage()

Returns:
  Response error message.

#### errorMessage

    public SnapshotFilesFailureMessage errorMessage(String errMsg)

Parameters:
  `errMsg` - Response error message.
Returns:
  `this` for chaining.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Returns:
  Fields count.

#### directType

    public short directType()

Gets message type.

Returns:
  Message type.

#### toString

    public String toString()

#### id

    public String id()

Returns:
  Unique message ID.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023